"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
// Main schema index file - exports all schemas
const index_1 = __importDefault(require("./common/index"));
const index_2 = __importDefault(require("./operators/index"));
// Export all schemas in the recommended loading order
const allSchemas = [
    // Common schemas first
    ...index_1.default,
    // Then all operator schemas
    ...index_2.default,
];
// Support both CommonJS and ES modules
exports.default = allSchemas;
// For CommonJS compatibility
if (typeof module !== 'undefined' && typeof module.exports !== 'undefined') {
    module.exports = allSchemas;
    module.exports.default = allSchemas;
}
//# sourceMappingURL=index.js.map